MonetizationOS Docs
Webscale APIOffer Redemptions

Redeem an offer

POST
/api/v1/offer-redemptions

Redeem a Monetization OS offer for a user.

This endpoint accepts an offer token, validates it and runs the redemption method workflow associated with the offer.

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Use secret keys (sk_*) for full access or public keys (pk_*) for limited access.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request payload for redeeming an offer.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/offer-redemptions" \  -H "Content-Type: application/json" \  -d '{    "identity": {      "userIdentifier": "user_12345"    },    "offerToken": "abc123.def456.ghi789"  }'
{  "status": "success",  "eventId": "c918c19e-b782-4c2f-93c0-8a5f94c0a1b5",  "identity": {    "authType": "provided",    "isAuthenticated": true,    "identifier": "user_12345"  }}

{  "status": "error",  "statusCode": 400,  "message": "Invalid JSON body"}

{  "status": "error",  "statusCode": 401,  "message": "Invalid API key"}

{  "status": "error",  "statusCode": 404,  "message": "Organization not found"}
{  "status": "error",  "statusCode": 500,  "message": "Internal server error"}
{  "status": "error",  "statusCode": 531,  "message": "Workflow error"}